Unable to Download a public packaged app from devhub

RESOLVED FIXED in 2013-04-25

Status

Marketplace
Developer Pages
RESOLVED FIXED
5 years ago
5 years ago

People

(Reporter: krupa, Assigned: jason)

Tracking

2013-04-25
Points:
---

Details

(URL)

(Reporter)

Description

5 years ago
steps to reproduce:
1. Load https://marketplace.allizom.org/developers/app/pricetier4/status
2. Click "Download" button 

expected behavior:
Developers are able to download packaged apps

observed behavior:
Download fails with 404-https://marketplace.allizom.org/downloads/file/206327/pricetier4-1.0.zip?src=
This works on -dev. I don't have access to stage to test if this file really exists on the file system or not.
$ pwd
/mnt/netapp_amo_stage/addons.allizom.org/files/436465
$ ls -l
total 100
-rw-r--r-- 1 apache apache 96930 Apr 23 03:09 pricetier4-1.0.zip
Thanks Wil. Next thing I'd think to verify is that the nginx location path is set up to allow access to this?
Jason: are the nginx configs on -dev drastically different than stage?
(Assignee)

Comment 5

5 years ago
This is the file zamboni is trying to serve: /mnt/netapp_amo_stage/addons.allizom.org/shared_storage/signed_apps/436465/pricetier4-1.0.signed.zip

Fixed up the stage marketplace nginx config to match -dev. 

[jthomas@web6.stage.addons.phx1 ~]$ curl -H 'Host: marketplace.allizom.org' http://localhost:81/downloads/file/206327/pricetier4-1.0.zip -so /dev/null -D-
HTTP/1.1 200 OK
Server: nginx
Date: Thu, 25 Apr 2013 15:31:45 GMT
Content-Type: application/zip
Content-Length: 96930
Last-Modified: Tue, 23 Apr 2013 12:36:50 GMT
Connection: keep-alive
Set-Cookie: lang="en-US\054"; Path=/
Set-Cookie: region=us; Path=/
X-Backend-Server: web6.stage.addons.phx1.mozilla.com
Accept-Ranges: bytes
great, thanks!
Status: NEW → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → FIXED
Assignee: nobody → jthomas
Target Milestone: --- → 2013-04-25
You need to log in before you can comment on or make changes to this bug.